## LassoSamlp2AuthnQuery LassoSamlp2AuthnQuery — <samlp2:AuthnQuery> |

## Functions

LassoNode * | lasso_samlp2_authn_query_new ()

## Types and Values

struct | LassoSamlp2AuthnQuery

## Description

Figure 71. Schema fragment for samlp2:AuthnQuery

    <complexType name="AuthnQueryType">
      <complexContent>
        <extension base="samlp:SubjectQueryAbstractType">
          <sequence>
            <element ref="samlp:RequestedAuthnContext" minOccurs="0"/>
          </sequence>
          <attribute name="SessionIndex" type="string" use="optional"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_authn_query_new ()

    LassoNode *
    lasso_samlp2_authn_query_new (void);

Creates a new LassoSamlp2AuthnQuery object.

#### Returns

a newly created LassoSamlp2AuthnQuery object

## Types and Values

### struct LassoSamlp2AuthnQuery

    struct LassoSamlp2AuthnQuery {
    	LassoSamlp2SubjectQueryAbstract parent;

    	/* elements */
    	LassoSamlp2RequestedAuthnContext *RequestedAuthnContext;
    	/* attributes */
    	char *SessionIndex;
    };